user3091350 user3091350 - 1 month ago 22
ASP.NET (C#) Question

DNX 4.5.1 vs DNX Core 5.0

I'm developing ASP.NET 5 MVC 6 REST api (web api). Some things is missing in DNX Core 5.0. I know that I can remove dnxcore50 to solve that problem, but main question is that with DNX 4.5.1 I will be able to run my API either in Linux, OSX ? I will be forced to use Mono? All of DNX 4.5.1 packages will work properly in mentioned systems?

Thanks for answers.

Answer

Basically, if your project only targets dnx451 (now net451), it will not run on linux or OSX. For that you should target dnxcore or mono. The text also explains that .NET Core is not fully featured at the moment, but it is rapidly growing.

This text explains the early plans for the .NET Platform Standard. It might help you get a grasp of things to come.